Subject: Free Catalog of Used Machinery Dealers in U.S.

From: [email-masked]
Date: 28 May 1995 23:21:25 GMT

If you are looking for used metalworking machinery or have something for sale,
you can get a free catalogue listing the members of MDNA (Machinery Dealers
National Association).  It lists them alphabetically, geographically and their 
specialties as well, including fax, phone, names, etc.  Call 301-585-9494 and
ask Sharon or Jeannie to send you the 1995 Buyer's Guide.  It's free.

If you don't want to make the toll call, send me e-mail requesting the Buyer's
Guide, and I'll forward on to them.  

Mark Rogo, Morton Machinery Company, Los Angeles, California 
800-275-1240